Edit Organization Billing Info
curl --request PUT \
--url https://api.qovery.com/organization/{organizationId}/billingInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Forrest",
"last_name": "Gump",
"email": "forrest@gump.com",
"address": "21 Jenny Street",
"city": "Greenbow",
"zip": "36744",
"country_code": "US",
"state": "Alabama",
"company": "<string>",
"vat_number": "<string>"
}
'import requests
url = "https://api.qovery.com/organization/{organizationId}/billingInfo"
payload = {
"first_name": "Forrest",
"last_name": "Gump",
"email": "forrest@gump.com",
"address": "21 Jenny Street",
"city": "Greenbow",
"zip": "36744",
"country_code": "US",
"state": "Alabama",
"company": "<string>",
"vat_number": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Forrest',
last_name: 'Gump',
email: 'forrest@gump.com',
address: '21 Jenny Street',
city: 'Greenbow',
zip: '36744',
country_code: 'US',
state: 'Alabama',
company: '<string>',
vat_number: '<string>'
})
};
fetch('https://api.qovery.com/organization/{organizationId}/billingInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"first_name": "Forrest",
"last_name": "Gump",
"email": "forrest@gump.com",
"address": "21 Jenny Street",
"city": "Greenbow",
"zip": "36744",
"state": "Alabama",
"country_code": "US",
"company": "<string>",
"vat_number": "<string>"
}Billing
Edit Organization Billing Info
PUT
/
organization
/
{organizationId}
/
billingInfo
Edit Organization Billing Info
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Body
application/json
Example:
"Forrest"
Example:
"Gump"
email used for billing, and to receive all invoices by email
Example:
"forrest@gump.com"
Example:
"21 Jenny Street"
Example:
"Greenbow"
Example:
"36744"
ISO code of the country
Example:
"US"
only for US
Example:
"Alabama"
name of the company to bill
Response
Edit billing info
Example:
"Forrest"
Example:
"Gump"
email used for billing, and to receive all invoices by email
Example:
"forrest@gump.com"
Example:
"21 Jenny Street"
Example:
"Greenbow"
Example:
"36744"
only for US
Example:
"Alabama"
ISO code of the country
Example:
"US"
name of the company to bill
Was this page helpful?
⌘I